import os
from PIL import Image

# 创建保存裁剪后图片的文件夹
output_folder = "small"
if not os.path.exists(output_folder):
    os.makedirs(output_folder)

# 获取当前目录下的所有图片文件
image_files = [f for f in os.listdir('.') if os.path.isfile(f) and f.lower().endswith(('.png', '.jpg', '.jpeg', '.gif'))]
w=1099
h=864
# 指定裁剪区域的坐标
crop_area = (w//2-180//2+39, h//2-278//2, w//2+180//2+39, h//2+278//2)  # (left, upper, right, lower)

# 遍历每个图片文件并进行裁剪
for image_file in image_files:
    try:
        # 打开图片文件
        img = Image.open(image_file)
         # 缩放图片
        width, height = img.size
        #scaled_img = img.resize((int(width * 0.7), int(height * 0.7)),Image.HAMMING)
        #img.thumbnail((w,h))
        #newImg=Image.new('RGBA',(w,h))
        #newImg.paste(scaled_img)        
        # 裁剪图片
        cropped_img = img.crop(crop_area)
        
        # 构造保存路径
        save_path = os.path.join(output_folder, image_file)
        
        # 保存裁剪后的图片
        cropped_img.save(save_path,quality=100)
        
        print(f"{image_file} 裁剪成功，保存为 {save_path}")
    except Exception as e:
        print(f"{image_file} 裁剪失败：{str(e)}")
